#ifndef CHATDATABASE_H
#define CHATDATABASE_H

#include <memory>
#include <QDateTime>

class ChatDatabase
{
public:
    ChatDatabase();
    ~ChatDatabase();

    bool insertOne(QString session, QDateTime msg_time, QString who, QString msg_str);

private:
    void initBase();
    void createTable();

private:
    class Private;
    std::shared_ptr<Private> d;
};

#endif // CHATDATABASE_H
